<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">entropy_encoder_model_kernel_4</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>allocate_node</b>() (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>coder</b> (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>cur</b> (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>cur_order</b> (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html#a9d4ada84fb4475eccd554b5fe7b23c3a">destroy_tree</a>()</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>encode</b>(unsigned long symbol) (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>entropy_encoder_model_kernel_4</b>(entropy_encoder &amp;coder) (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>entropy_encoder_model_kernel_4</b>(entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt; &amp;) (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>entropy_encoder_type</b> typedef (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_alphabet_size</b>() (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_entropy_encoder</b>() (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html#aaa76f150a91b20e24feb715934c64dd4">next_node</a></td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html#a62ee5178121fd64881a6fb125eb44f88">node</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt; &amp;) (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>root</b> (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html#a94678c0e23edc06a027479284e51ccf8">scale_counts</a>(node *n)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html#ab25996a5d47baacf4cc85289316f807a">space_left</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~entropy_encoder_model_kernel_4</b>() (defined in <a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1entropy__encoder__model__kernel__4.html">dlib::entropy_encoder_model_kernel_4&lt; alphabet_size, entropy_encoder, total_nodes, order &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
